Bug 1105671 - [RFE] When adding Amis to the EC2 compute resource I would like to be told if I typed in a bad ami
Summary: [RFE] When adding Amis to the EC2 compute resource I would like to be told if...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1324615
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-06 17:12 UTC by Bryan Kearney
Modified: 2019-09-26 14:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:09:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 6098 None None None 2016-04-22 16:26:16 UTC

Description Bryan Kearney 2014-06-06 17:12:01 UTC
I created a compute resource in Foreman 1.5+. It was EC2, US-east. I then added an ami which was in oregon. This caused my provisioning to fail. I would have liked a screen to tell me that the ami could not be seen. Barring that, I would like to see a "validate this" button which checks that the amis are visible.

Comment 1 Bryan Kearney 2014-06-06 17:12:59 UTC
Created redmine issue http://projects.theforeman.org/issues/6098 from this bug

Comment 2 Bryan Kearney 2015-01-20 13:02:08 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6098 has been closed
-------------
Tom Caspy
Applied in changeset commit:4cbb4a263e4e126a1395d5d5ac14f666fefa40b2.

Comment 3 Bryan Kearney 2015-02-18 22:21:37 UTC
Upstream bug assigned to tcaspy@redhat.com

Comment 7 Kedar Bidarkar 2016-04-04 20:04:01 UTC
Currently we do not have foreman-ec2 Package available for EC2 compute Resource.

Comment 8 Bryan Kearney 2016-04-04 20:08:57 UTC
Upstream bug component is Compute Resources

Comment 9 Ohad Levy 2016-04-12 13:15:25 UTC
foreman-ec2 1.11.0.12-1.el7sat package is now part of latest compose, please retest.

Comment 10 Kedar Bidarkar 2016-04-18 10:15:10 UTC
Now while adding the ami-<id> while image creation is validated for it's existence.

If the ami-<id> does not exist then the image creation fails when the submit button is hit, with a message saying "could not be found in ec2_100".

If the ami-<id> exists then the image creation becomes successful upon clicking the submit button.


VERIFIED with sat62-snap8.1

Comment 12 Kedar Bidarkar 2016-04-18 10:16:32 UTC
VERIFIED with sat62-snap8.1 as per comment 10

Comment 14 errata-xmlrpc 2016-07-27 09:09:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.